# Gimp.PlugIn.add_temp_procedure

    @accepts(Gimp.PlugIn, Gimp.Procedure)
    @returns(none)
    def add_temp_procedure(self, procedure):
        # Python wrapper for gimp_plug_in_add_temp_procedure()

This function adds a temporary procedure to self. It is usually called from a Gimp.PDBProcType.persistent procedure's [vfunc@Procedure.run].

A temporary procedure is a procedure which is only available while one of your plug-in's "real" procedures is running.

The procedure's type _must_ be Gimp.PDBProcType.temporary or the function will fail.

NOTE: Normally, plug-in communication is triggered by the plug-in and the GIMP core only responds to the plug-in's requests. You must explicitly enable receiving of temporary procedure run requests using either [method@PlugIn.persistent_enable] or [method@PlugIn.persistent_process]. See their respective documentation for details.

Since 3.0

self

  A Gimp.PlugIn

procedure

  A Gimp.Procedure of type Gimp.PDBProcType.temporary.